<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">
<html>
<head>
	<meta name="qrichtext" content="1" />
	<style type="text/css">p, li { white-space: pre-wrap; }</style>
</head>

<body>

<h1>Mouse gestures</h1>

<h2>Mouse hover</h2>
<ul>
	<li>strip: show comment</li>
	<li>radar scope: show selection-to-mouse info</li>
	<li>unpinned navpoints and elements on the radar scope: show short name, and frequency/channel if navaid</li>
	<li>entry in navigator or ATC list: show a tool tip with true heading and distance from radar</li>
</ul>

<h2>Left mouse button</h2>
<p>Click:</p>
<ul>
	<li>on aircraft body, info box, strip or FPL: select</li>
	<li>on radar background: deselect</li>
	<li>on navpoint: fill navigator filter and instruction navpoint fields</li>
	<li>on text chat message: recall dest./message in entry line </li>
	<ul type="circle">
		<li>own message: recalls both</li>
		<li>other: fill dest. and focus message field</li>
	</ul>
</ul>
<p>SHIFT+click:</p>
<ul>
	<li>on navpoint if selection contains a strip with a valid parsed route: add/remove enroute waypoint</li>
</ul>

<p>Double-click:</p>
<ul>
	<li>on strip: open and edit the strip detail sheet</li>
	<li>on rack, under strips: create new strip on rack</li>
	<li>on rack tab or column title: edit/delete rack</li>
	<li>on aircraft body or info box: edit linked strip if any</li>
	<li>on navpoint: pin/unpin label</li>
	<li>on notification: notification-dependant</li>
</ul>
<p>SHIFT+double-click:</p>
<ul>
	<li>on strip: indicate linked ACFT or XPDR identification</li>
	<li>on ATC: indicate position if known</li>
	<li>on aircraft body: remove hdg/alt./FL/speed assignments</li>
	<li>on info box: reset box position</li>
	<li>on radar background: add custom text label (annotate radar)</li>
	<li>on custom text label: remove label</li>
</ul>

<p>Click&amp;drag:</p>
<ul>
	<li>aircraft body: assign heading or instruct taxi (solo: instructs callsign; teacher: direct control)</li>
	<li>info box: move box</li>
	<li>strip:</li>
	<ul type="circle">
		<li>within/between racks or loose bays: rerack/reorder/reposition flight strip</li>
		<li>drop on handover list: hand linked aircraft over to ATC</li>
		<li>drop on shelf: discard (shelve) strip, e.g. when releasing a contact</li>
	</ul>
</ul>
<p>SHIFT+click&amp;drag:</p>
<ul>
	<li>from aircraft body if a strip is linked: assign alt/FL or speed to aircraft</li>
	<li>loose strip: move and keep within strip bay, pushing edges as needed</li>
	<li>on radar background if in teaching mode: create new traffic</li>
</ul>

<h2>Middle mouse button</h2>
<p>Click:</p>
<ul>
	<li>on aircraft body, info box, strip or FPL: link to current selection if any and possible</li>
</ul>
<p>SHIFT+click:</p>
<ul>
	<li>on aircraft body, info box, strip or FPL (if selected and linked): unlink from rest of selection</li>
</ul>

<h2>Right mouse button</h2>
<p>Click&amp;drag:</p>
<ul>
	<li>on radar scope: pan view</li>
	<li>on tower view window (FlightGear): look around</li>
</ul>
<p>SHIFT+click&amp;drag:</p>
<ul>
	<li>on radar scope: heading and distance quick measuring tool + show point lat-lon coordinates</li>
</ul>

</body>
</html>

